Api reference
Dynamic account reconciliation failed
EVENTwebhook
Sent when a payment cannot be applied, such as after an amount mismatch or late payment. Return any 2xx response to acknowledge.
Request
Parameters
Prop
Type
Request body (required)
Prop
Type
{ "eventId": "string", "event": "virtual_account.failed", "createdAt": "string", "data": { "dynamicAccountId": "string", "accountNumber": "string", "accountName": "string", "bankName": "string", "currency": "NGN", "expectedAmount": 0, "status": "paid", "expiresAt": "string", "paidAt": "string", "providerTransactionId": "string", "providerTransactionAt": "string", "failureReason": "string" }}